
		 <digi-typography>
       
        <!-- <digi-logo af-system-name="Designsystem"></digi-logo> -->
        <br>
        <h2>Ikoner exemplifierade inuti Digi Core-knappar</h2><br>
<div class="buttons">
  <h3>En befintlig ikon för jämförelse</h3>
<digi-button
	af-size="large"
	af-variation="primary"
	af-full-width="false">
	Knapp <digi-icon-copy slot="icon"></digi-icon-copy>
</digi-button>
<br>
<digi-button
	af-size="medium"
	af-variation="primary"
	af-full-width="false">
	Knapp <digi-icon-copy slot="icon"></digi-icon-copy>
</digi-button>
<br>
<digi-button
	af-size="small"
	af-variation="primary"
	af-full-width="false">
	Knapp <digi-icon-copy slot="icon"></digi-icon-copy>
</digi-button><br><br>
<h3>Nya ikoner</h3>
<digi-button
	af-size="large"
	af-variation="primary"
	af-full-width="false">
	Knapp
	  <digi-icon-videocamera slot="icon"></digi-icon-videocamera>
</digi-button><br>
<digi-button
	af-size="medium"
	af-variation="primary"
	af-full-width="false">
	Knapp
	  <digi-icon-videocamera slot="icon"></digi-icon-videocamera>
</digi-button><br>
<digi-button
	af-size="small"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-videocamera slot="icon"></digi-icon-videocamera>
</digi-button>
<br>
<!-- <digi-button
	af-size="large"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-heart slot="icon"></digi-icon-heart>
</digi-button><br>
<digi-button
	af-size="medium"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-heart slot="icon"></digi-icon-heart>
</digi-button>
<br>
<digi-button
	af-size="small"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-heart slot="icon"></digi-icon-heart>
</digi-button> -->
<digi-button
	af-size="large"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-videocamera-off slot="icon"></digi-icon-videocamera-off>
</digi-button>
<br>
<digi-button
	af-size="medium"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-videocamera-off slot="icon"></digi-icon-videocamera-off>
</digi-button><br>
<digi-button
	af-size="small"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-videocamera-off slot="icon"></digi-icon-videocamera-off>
</digi-button>
<br>
<digi-button
	af-size="large"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-microphone slot="icon"></digi-icon-microphone>
</digi-button>
<br>
<digi-button
	af-size="medium"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-microphone slot="icon"></digi-icon-microphone>
</digi-button>
<br>
<digi-button
	af-size="small"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-microphone slot="icon"></digi-icon-microphone>
</digi-button>
<br>
<digi-button
	af-size="large"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-microphone-off slot="icon"></digi-icon-microphone-off>
</digi-button>
<br>
<digi-button
	af-size="medium"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-microphone-off slot="icon"></digi-icon-microphone-off>
</digi-button>
<br>
<digi-button
	af-size="small"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-microphone-off slot="icon"></digi-icon-microphone-off>
</digi-button><br>
<digi-button
	af-size="large"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-phone slot="icon"></digi-icon-phone>
</digi-button><br>
<digi-button
	af-size="medium"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-phone slot="icon"></digi-icon-phone>
</digi-button><br>
<digi-button
	af-size="small"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-phone slot="icon"></digi-icon-phone>
</digi-button><br>
<digi-button
	af-size="large"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-phone-hangup slot="icon"></digi-icon-phone-hangup>
</digi-button><br>
<digi-button
	af-size="medium"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-phone-hangup slot="icon"></digi-icon-phone-hangup>
</digi-button><br>
<digi-button
	af-size="small"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-phone-hangup slot="icon"></digi-icon-phone-hangup>
</digi-button><br><br><br>
<digi-button
	af-size="large"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-screensharing slot="icon"></digi-icon-screensharing>
</digi-button><br>
<digi-button
	af-size="medium"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-screensharing slot="icon"></digi-icon-screensharing>
</digi-button><br>
<digi-button
	af-size="small"
	af-variation="primary"
	af-full-width="false">
	Knapp<digi-icon-screensharing slot="icon"></digi-icon-screensharing>
</digi-button><br>
<br><br>
<h3>Exemplifiering av nya ikoner i en vanlig HTML-button</h3>
<p>Knapparna nedan imiterar endast knapparna i ert videoverktyg och är alltså inte befintliga Digi core-knappar.</p>
<!-- <button id="customButton" (click)="handleClick()" *ngIf="videoOff"><span><digi-icon-videocamera></digi-icon-videocamera></span></button>
<button id="customButton" (click)="handleClick()" *ngIf="!videoOff"><span><digi-icon-videocamera-off></digi-icon-videocamera-off></span></button> -->
<button class="customButton"><span><digi-icon-videocamera class="cam" color="yellow"></digi-icon-videocamera></span></button>
<button class="customButton"><span><digi-icon-videocamera-off></digi-icon-videocamera-off></span></button>
<button class="customButton"><span><digi-icon-microphone></digi-icon-microphone></span></button>
<button class="customButton"><span><digi-icon-microphone-off></digi-icon-microphone-off></span></button>
<button class="customButton"><span><digi-icon-phone></digi-icon-phone></span></button>
<button class="customButton"><span><digi-icon-phone-hangup></digi-icon-phone-hangup></span></button><br><br>
<h4>Skärmdelningsikoner, tre varianter</h4>
<button class="customButton"><span><digi-icon-screensharing></digi-icon-screensharing></span></button>
<button class="customButton"><span><digi-icon-screensharing-off></digi-icon-screensharing-off></span></button><br>
<button class="customButton"><span><digi-icon-screensharing-basic></digi-icon-screensharing-basic></span></button>
<button class="customButton"><span><digi-icon-screensharing-basic-off></digi-icon-screensharing-basic-off></span></button><br>
<button class="customButton"><span><digi-icon-screensharing-feet></digi-icon-screensharing-feet></span></button>
<button class="customButton"><span><digi-icon-screensharing-feet-off></digi-icon-screensharing-feet-off></span></button>
<br><br>

<!-- <button class="customButton clickable" (click)="handleClick()" *ngIf="videoOff"><span><digi-icon-videocamera></digi-icon-videocamera></span></button>
<button class="customButton clickable" (click)="handleClick()" *ngIf="!videoOff"><span><digi-icon-videocamera-off></digi-icon-videocamera-off></span></button> -->
<h3>Klickbara på/av-exempel</h3>
<button class="customButton clickable" (click)="toggle('phone')">
  <digi-icon-phone *ngIf="!iconStates['phone']"></digi-icon-phone>
  <digi-icon-phone-hangup *ngIf="iconStates['phone']"></digi-icon-phone-hangup>
</button>
<button class="customButton clickable" (click)="toggle('video')">
  <digi-icon-videocamera *ngIf="iconStates['video']"></digi-icon-videocamera>
  <digi-icon-videocamera-off *ngIf="!iconStates['video']"></digi-icon-videocamera-off>
</button>
<button class="customButton clickable" (click)="toggle('mic')">
  <digi-icon-microphone *ngIf="iconStates['mic']"></digi-icon-microphone>
  <digi-icon-microphone-off *ngIf="!iconStates['mic']"></digi-icon-microphone-off>
</button><br><br>
<button class="customButton clickable" (click)="toggle('screen')">
  <digi-icon-screensharing *ngIf="iconStates['screen']"></digi-icon-screensharing>
  <digi-icon-screensharing-off *ngIf="!iconStates['screen']"></digi-icon-screensharing-off>
</button>
<button class="customButton clickable" (click)="toggle('screen1')">
  <digi-icon-screensharing-basic *ngIf="iconStates['screen1']"></digi-icon-screensharing-basic>
  <digi-icon-screensharing-basic-off *ngIf="!iconStates['screen1']"></digi-icon-screensharing-basic-off>
</button>
<button class="customButton clickable" (click)="toggle('screen2')">
  <digi-icon-screensharing-feet *ngIf="iconStates['screen2']"></digi-icon-screensharing-feet>
  <digi-icon-screensharing-feet-off *ngIf="!iconStates['screen2']"></digi-icon-screensharing-feet-off>
</button>
<!-- <button class="customButton clickable" (click)="handleClick()" *ngIf="!videoOff"><span><digi-icon-phone-hangup></digi-icon-phone-hangup></span></button> -->
<br><br>
</div>
				<!-- <digi-tools-feedback af-text="Hjälpte informationen dig?" af-is-done="false"  af-variation="primary" af-reset="false" af-type="fullwidth">

					<div slot="form">
						<digi-form-textarea
						af-label="Etikett"
	af-variation="medium"
	af-validation="neutral"		></digi-form-textarea>
						</div>
				</digi-tools-feedback>
				<br>
				<br>
				<br>
				<digi-layout-container>

					<digi-form-receipt
					af-text="Tack, din rapport är inskickad!"
					af-variation="grid"
					af-type="start"
				></digi-form-receipt>
				<br>
				<br>

				<digi-tools-feedback af-text="Hjälpte informationen dig?" af-is-done="false" id="feedback" af-variation="primary" af-reset="false" af-type="grid">
          <div slot="form">
            <digi-form-input
              af-label="Etikett"
              af-variation="medium"
              af-type="text" 
              af-validation="neutral"		
            >
            </digi-form-input> -->

						<!-- <digi-form-textarea
						af-label="Etikett"
						af-variation="medium"
						af-validation="neutral"		></digi-form-textarea>
            <digi-button id="submitButton">Skicka</digi-button>
          </div>
				</digi-tools-feedback> -->

  </digi-typography>

